Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class RKRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CellRecord
                      org.apache.poi.hssf.record.RKRecord

All Implemented Interfaces:
  CellValueRecordInterface

    public final class RKRecord

extends CellRecord

Title: RK Record (0x027E)

Description: An internal 32 bit number with the two most significant bits storing the type. This is part of a bizarre scheme to save disk space and memory (gee look at all the other whole records that are in the file just "cause"..,far better to waste processor cycles on this then leave on of those "valuable" records out).

We support this in READ-ONLY mode. HSSF converts these to NUMBER records

REFERENCE: PG 376 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)
See Also:
  `NumberRecord`

Field Summary
`static short` | `RK_IEEE_NUMBER`
`static short` | `RK_IEEE_NUMBER_TIMES_100`
`static short` | `RK_INTEGER`
`static short` | `RK_INTEGER_TIMES_100`
`static short` | `sid`

Constructor Summary
`RKRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`double` | `getRKNumber()` Extract the value of the number
`short` | `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.CellRecord
`getColumn, getRow, getXFIndex, serialize, setColumn, setRow, setXFIndex, toString`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### RK_IEEE_NUMBER

    public static final short RK_IEEE_NUMBER

See Also:
  Constant Field Values

### RK_IEEE_NUMBER_TIMES_100

    public static final short RK_IEEE_NUMBER_TIMES_100

See Also:
  Constant Field Values

### RK_INTEGER

    public static final short RK_INTEGER

See Also:
  Constant Field Values

### RK_INTEGER_TIMES_100

    public static final short RK_INTEGER_TIMES_100

See Also:
  Constant Field Values

Constructor Detail

### RKRecord

    public RKRecord(RecordInputStream in)

Method Detail

### getRKNumber

    public double getRKNumber()

  Extract the value of the number

  The mechanism for determining the value is dependent on the two low order bits of the raw number. If bit 1 is set, the number is an integer and can be cast directly as a double, otherwise, it's apparently the exponent and mantissa of a double (and the remaining low-order bits of the double's mantissa are 0's).

  If bit 0 is set, the result of the conversion to a double is divided by 100; otherwise, the value is left alone.

  [insert picture of Screwy Squirrel in full Napoleonic regalia]

  Returns:
    the value as a proper double (hey, it could happen)

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD